"""
Django settings for Main project.

Generated by 'django-admin startproject' using Django 2.0.5.

For more information on this file, see
https://docs.djangoproject.com/en/2.0/topics/settings/

For the full list of settings and their values, see
https://docs.djangoproject.com/en/2.0/ref/settings/
"""

import os

from .secret import *

# Build paths inside the project like this: os.path.join(BASE_DIR, ...)
BASE_DIR = os.path.dirname(os.path.dirname(os.path.abspath(__file__)))

RECAPTCHA_PUBLIC_KEY = '6LdpoGAUAAAAAF8Ue4UGHvFkGBueQVuLeThb-wgZ'
RECAPTCHA_PRIVATE_KEY = '6LdpoGAUAAAAAAerl8ougp3DIUzZfGmQAGaJpzkK'

GOOGLE_RECAPTCHA_SECRET_KEY = '6LdpoGAUAAAAAAerl8ougp3DIUzZfGmQAGaJpzkK'

#RECAPTCHA_PROXY = 'http://127.0.0.1:8000'

PASSWORD_RESET_TIMEOUT_DAYS = 2

AUTH_USER_MODEL = 'cuenta.Persona'

######################## ENVIO DE CORREO EN PRODUCCIÓN ########################
EMAIL_HOST = 'correo.opsu.gob.ve'
EMAIL_PORT = 25
EMAIL_HOST_USER = 'no-responder'
EMAIL_HOST_PASSWORD = 'CorreoNoResponder4874@'
EMAIL_USE_TLS = True

# EMAIL_BACKEND = 'django.core.mail.backends.smtp.EmailBackend'
# EMAIL_HOST = 'smtp.gmail.com'
# EMAIL_USE_TLS = True
# EMAIL_PORT = 587
# EMAIL_HOST_USER = 'argenis1818@gmail.com'
# EMAIL_HOST_PASSWORD = '18188043'

######################## ENVIO DE CORREO EN DESARROLLO ########################
# Quick-start development settings - unsuitable for production
# See https://docs.djangoproject.com/en/2.0/howto/deployment/checklist/


# Application definition

INSTALLED_APPS = [
    'django.contrib.admin',
    'django.contrib.auth',
    'django.contrib.contenttypes',
    'django.contrib.sessions',
    'django.contrib.messages',
    'django.contrib.staticfiles',
    'dal',
    'dal_select2',
    'cuenta',
    'empresa',
    'recaudacion',
    'django_jinja.contrib._humanize',
]

MIDDLEWARE = [
    'django.middleware.security.SecurityMiddleware',
    'django.contrib.sessions.middleware.SessionMiddleware',
    'django.middleware.common.CommonMiddleware',
    'django.middleware.csrf.CsrfViewMiddleware',
    'django.contrib.auth.middleware.AuthenticationMiddleware',
    'django.contrib.messages.middleware.MessageMiddleware',
    'django.middleware.clickjacking.XFrameOptionsMiddleware',
]

ROOT_URLCONF = 'Main.urls'

TEMPLATES = [
            {
        # 'BACKEND': 'django.template.backends.jinja2.Jinja2',
        "BACKEND": "django_jinja.backend.Jinja2",
        # 'DIRS': [os.path.join(BASE_DIR, 'jinja2')],
        'APP_DIRS': True,
        'OPTIONS': {
            'environment': 'Main.jinja2.environment',
            "match_extension": ".html",
            "app_dirname": "jinja2",
        },
    },
    {
        'BACKEND': 'django.template.backends.django.DjangoTemplates',
        'DIRS': [],
        'APP_DIRS': True,
        'OPTIONS': {
            'context_processors': [
                'django.template.context_processors.debug',
                'django.template.context_processors.request',
                'django.contrib.auth.context_processors.auth',
                'django.contrib.messages.context_processors.messages',
            ],
        },
    },
]

WSGI_APPLICATION = 'Main.wsgi.application'



# Password validation
# https://docs.djangoproject.com/en/2.0/ref/settings/#auth-password-validators

AUTH_PASSWORD_VALIDATORS = [
    {
        'NAME': 'django.contrib.auth.password_validation.UserAttributeSimilarityValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.MinimumLengthValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.CommonPasswordValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.NumericPasswordValidator',
    },
]


# Internationalization
# https://docs.djangoproject.com/en/2.0/topics/i18n/

LANGUAGE_CODE = 'es'

TIME_ZONE = 'America/Caracas'

USE_I18N = True

USE_L10N = True

USE_TZ = True

MEDIA_URL = '/media/'

MEDIA_ROOT = 'media'

STATIC_URL = '/static/'

STATIC_ROOT = 'static'

USE_THOUSAND_SEPARATOR = True 

# STATIC_ROOT = 'static'

# STATICFILES_DIRS = [os.path.join(BASE_DIR, 'static')]

LOGIN_URL = 'cuenta:login'

# Static files (CSS, JavaScript, Images)
# https://docs.djangoproject.com/en/2.0/howto/static-files/
